VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "BLOBs"
   ClientHeight    =   1560
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4980
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1560
   ScaleWidth      =   4980
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ListBox lstDateien 
      Height          =   840
      Left            =   2760
      TabIndex        =   2
      Top             =   120
      Width           =   2175
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Lschen"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   2535
   End
   Begin MSComDlg.CommonDialog dlgDialog 
      Left            =   480
      Top             =   1920
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.CommandButton cmdAddFile 
      Caption         =   "Datei einfgen"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2535
   End
   Begin VB.Label lblHinweis 
      Caption         =   "Durch Doppelklick auf Eintrag kann die Datei extrahiert werden."
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   1200
      Width           =   4515
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Cn As ADODB.Connection
Dim Rs As ADODB.Recordset
Dim Doc As ADODB.Stream

Public Sub Aktualisieren()
    On Error GoTo Fehler
    lstDateien.Clear
    Rs.MoveFirst
    Do While Not Rs.EOF = True
        lstDateien.AddItem Rs.Fields("Beschreibung").Value
        Rs.MoveNext
    Loop
    Exit Sub
    
Fehler:
    If Err.Number = 3021 Then
        MsgBox "Keine Datenstze vorhanden", vbInformation
    End If
End Sub

Private Sub cmdAddFile_click()
    On Error GoTo Fehler
    Set Doc = New ADODB.Stream
    dlgDialog.ShowOpen
    With Doc
        .Type = adTypeBinary
        .Open
        .LoadFromFile dlgDialog.FileName
    End With
    Rs.AddNew
    Rs.Fields("File") = Doc.Read
    Rs.Fields("Beschreibung") = InputBox("Beschreibung;")
    Rs.Update
    Aktualisieren
    Exit Sub
    
Fehler:
    If Err.Number = 32755 Then Exit Sub
End Sub

Private Sub cmdDelete_Click()
    Rs.MoveFirst
    Rs.Move lstDateien.ListIndex
    Rs.Delete
    Rs.Update
    Aktualisieren
End Sub

Private Sub Form_Load()
    Set Cn = New ADODB.Connection
    Set Rs = Nothing
    With Cn
        .Provider = "Microsoft.Jet.OLEDB.3.51"
        .ConnectionString = "Data Source=" & App.Path & "\Tips.mdb"
        .Open
    End With
    Set Rs = New ADODB.Recordset
    With Rs
        .Source = "select Beschreibung, File from tblTips"
        .LockType = adLockOptimistic
        .CursorType = adOpenStatic
        Set .ActiveConnection = Cn
        .Open
    End With
    Aktualisieren
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set Rs = Nothing
    Set Cn = Nothing
    Set Doc = Nothing
End Sub

Private Sub lstDateien_DblClick()
    On Error GoTo Fehler
    Set Doc = New ADODB.Stream
    dlgDialog.ShowSave
    With Doc
        .Type = adTypeBinary
        .Open
        Rs.MoveFirst
        Rs.Move lstDateien.ListIndex
        .Write Rs.Fields("File")
        .SaveToFile dlgDialog.FileName
        .Close
    End With
    Exit Sub
    
Fehler:
    If Err.Number = 32755 Then Exit Sub
End Sub

